This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 491388 - rpmbuild -bs won't find spec file in some case
rpmbuild -bs won't find spec file in some case
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-20 14:06 EDT by Mamoru TASAKA
Modified: 2013-07-02 19:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-25 12:31:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2009-03-20 14:06:01 EDT
Description of problem:
Well, I saw some strange behavior on "rpmbuild -bs"
------------------------------------------------------------
[tasaka1@localhost SRPMS]$ pwd
/home/tasaka1/rpmbuild/SRPMS

[tasaka1@localhost SRPMS]$ LANG=C rpmbuild -bs ../SPECS/rubygem-nokogiri.spec 
Wrote: /home/tasaka1/rpmbuild/SRPMS/rubygem-nokogiri-1.2.2-1.fc.src.rpm

[tasaka1@localhost SRPMS]$ LANG=C rpmbuild -bs ./../SPECS/rubygem-nokogiri.spec 
error: Unable to open /home/tasaka1/rpmbuild/SRPMS/SPECS/rubygem-nokogiri.spec: No such file or directory
-------------------------------------------------------------

Well, of course ../SPECS/rubygem-nokogiri.spec and
./../SPECS/rubygem-nokogiri.spec are the same, however
with "rpmbuild -bs" the former creates a srpm but the latter
does not...

Version-Release number of selected component (if applicable):
rpm-4.7.0-0.beta1.4.fc11.i586

How reproducible:
100%

Steps to Reproduce:
1. See above
2.
3.
Comment 1 Jindrich Novy 2009-03-25 05:07:29 EDT
Taking this one. Just managed to reproduce it.
Comment 2 Jindrich Novy 2009-03-25 12:31:15 EDT
It is fixed upstream for now.
Comment 3 Panu Matilainen 2009-04-09 09:07:49 EDT
...and rawhide too now.

Note You need to log in before you can comment on or make changes to this bug.